package cn.com.tenlion.systembase.pojo.dtos.homicidepatrol;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: HomicidePatrolDTO
 * @Description: 命案发生地巡查记录
 * @Author: CodeFactory
 * @Date: 2021-10-20 10:44:13
 * @Version: 3.0
 **/
@ApiModel
public class HomicidePatrolDTO {

    @ApiModelProperty(name = "homicidePatrolId", value = "主键UUID")
    private String homicidePatrolId;
    @ApiModelProperty(name = "homicideId", value = "命案基本信息ID")
    private String homicideId;
    @ApiModelProperty(name = "patrolTime", value = "巡查时间")
    private String patrolTime;
    @ApiModelProperty(name = "patrolContent", value = "巡查内容")
    private String patrolContent;
    @ApiModelProperty(name = "patrolResult", value = "巡查结果")
    private String patrolResult;
    @ApiModelProperty(name = "patrolPhoto", value = "巡查照片")
    private String patrolPhoto;
    @ApiModelProperty(name = "patrolVideo", value = "巡查视频")
    private String patrolVideo;
    @ApiModelProperty(name = "remake", value = "备注")
    private String remake;

    public String getHomicidePatrolId() {
        return homicidePatrolId == null ? "" : homicidePatrolId.trim();
    }

    public void setHomicidePatrolId(String homicidePatrolId) {
        this.homicidePatrolId = homicidePatrolId;
    }

    public String getHomicideId() {
        return homicideId == null ? "" : homicideId.trim();
    }

    public void setHomicideId(String homicideId) {
        this.homicideId = homicideId;
    }

    public String getPatrolTime() {
        return patrolTime == null ? "" : patrolTime.trim();
    }

    public void setPatrolTime(String patrolTime) {
        this.patrolTime = patrolTime;
    }

    public String getPatrolContent() {
        return patrolContent == null ? "" : patrolContent.trim();
    }

    public void setPatrolContent(String patrolContent) {
        this.patrolContent = patrolContent;
    }

    public String getPatrolResult() {
        return patrolResult == null ? "" : patrolResult.trim();
    }

    public void setPatrolResult(String patrolResult) {
        this.patrolResult = patrolResult;
    }

    public String getPatrolPhoto() {
        return patrolPhoto == null ? "" : patrolPhoto.trim();
    }

    public void setPatrolPhoto(String patrolPhoto) {
        this.patrolPhoto = patrolPhoto;
    }

    public String getPatrolVideo() {
        return patrolVideo == null ? "" : patrolVideo.trim();
    }

    public void setPatrolVideo(String patrolVideo) {
        this.patrolVideo = patrolVideo;
    }

    public String getRemake() {
        return remake == null ? "" : remake.trim();
    }

    public void setRemake(String remake) {
        this.remake = remake;
    }

}
